<html>
    <head>
        <title>Workaholic Online Service</title>
        <style>
            * {
                font-family: Calibri
            }

            html, body {
                width: 100%;
                height: 100%;
            }

            #container {
                width: 100%;
                height: 100%;
                display: flex;
                justify-content: center;
                align-items: center;
            }

            #container div {
                font-size: 2em;
            }

            #weekend {
                color: red;
            }

            #workday {
                color: darkgreen;
            }
        </style>
    </head>
    <body>
        <div id="container">
            <div id="weekend" style="display: none;">Nädalavahetus, töötamine keelatud!</div>
            <div id="workday" style="display: none;">On töönädal, tööta rahus edasi!</div>
        </div>
    </body>
    <script>
            window.addEventListener('load', async () => {
                let isItWeekend = await fetchIsItWeekend();
                if (isItWeekend == 'true') {
                    document.querySelector('#weekend').style.display = 'block';
                    document.querySelector('#workday').style.display = 'none';
                } else {
                    document.querySelector('#weekend').style.display = 'none';
                    document.querySelector('#workday').style.display = 'block';
                }


            });

            async function fetchIsItWeekend() {
                let currentTime = new Date();
                let currentTimeString = currentTime.toISOString().substr(0, 16).replace("T", " ");

                let form = new FormData();
                form.append('dateString', currentTimeString);

                let response = await fetch('http://localhost:8080/weekenddetector/test', {
                    method: 'POST',
                    body: form // Klassikaline formi submit, mingit JSON.stringify() väljakutset ei ole vaja!
                });

                let isItWeekend = await response.text();
                return isItWeekend;
            }
        </script>
</html>